package net.wanji.feign.config;

import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;

/**
 * @author duanruiming
 * @date 2023/01/09 15:23
 */
@Configuration(value = "FeignClientsConfig")
@EnableFeignClients(basePackages = "net.wanji.feign")
@Slf4j
public class FeignClientsConfig {

    @Value("${utc.service.url}")
    private String url;
    @Bean
    public void testUrl() {
        log.info("===========feign config url utc:" + url);
    }
}
