package net.wanji.feign.service;

import net.wanji.feign.config.FeignControlClientsConfig;
import net.wanji.feign.service.common.FeignCommon;
import org.springframework.cloud.openfeign.FeignClient;

/**
 * @author duanruiming
 * @date 2023/05/19 9:05
 */
@FeignClient(name = "ControlFeignClients", url = "${control.url}",
        configuration = FeignControlClientsConfig.class)
public interface ControlFeignClients extends FeignCommon {
}
